[vlc-commits] test: check POTFILES.in in test suite
Rémi Denis-Courmont
git at videolan.org
Thu Jan 9 20:13:01 CET 2014
vlc | branch: master | Rémi Denis-Courmont <remi at remlab.net> | Wed Jan 8 19:40:16 2014 +0200| [2683bad6517b282d500e3faa4d0622db328f76d7] | committer: Rémi Denis-Courmont
test: check POTFILES.in in test suite
(It is already tested in dist(check) but that is way too slow.)
> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=2683bad6517b282d500e3faa4d0622db328f76d7
---
test/Makefile.am | 5 +++--
test/check_POTFILES.sh | 18 ++++++++++++++++++
2 files changed, 21 insertions(+), 2 deletions(-)
diff --git a/test/Makefile.am b/test/Makefile.am
index 1393df2..91b3c5b 100644
--- a/test/Makefile.am
+++ b/test/Makefile.am
@@ -23,7 +23,8 @@ check_PROGRAMS = \
$(NULL)
check_SCRIPTS = \
- modules/lua/telnet.sh
+ modules/lua/telnet.sh \
+ check_POTFILES.sh
# Disabled test:
# meta: No suitable test file
@@ -37,7 +38,7 @@ EXTRA_DIST = samples/empty.voc samples/image.jpg $(check_SCRIPTS)
check_HEADERS = libvlc/test.h libvlc/libvlc_additions.h
-TESTS = $(check_PROGRAMS)
+TESTS = $(check_PROGRAMS) check_POTFILES.sh
DISTCLEANFILES = samples/test.sample samples/meta.sample
diff --git a/test/check_POTFILES.sh b/test/check_POTFILES.sh
new file mode 100755
index 0000000..f0d7ca9
--- /dev/null
+++ b/test/check_POTFILES.sh
@@ -0,0 +1,18 @@
+#! /bin/sh
+
+top_srcdir="${srcdir}/.."
+
+set -xe
+
+cd ${top_srcdir}
+
+grep -v '^#' po/POTFILES.in | \
+while read f
+do
+ test -n "$f" || continue
+ if test ! -f "$f"
+ then
+ echo "$f: source file missing!" >&2
+ exit 1
+ fi
+done
More information about the vlc-commits
mailing list